org.eclipse.oomph.util

## Class ZIPUtil

- java.lang.Object
- - org.eclipse.oomph.util.ZIPUtil

-     public final class ZIPUtil
      extends Object

  Author:
    Eike Stepper

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `ZIPUtil.EntryContext`
    `static class` | `ZIPUtil.FileSystemUnzipHandler`
    `static class` | `ZIPUtil.FileSystemZipHandler`
    `static interface` | `ZIPUtil.UnzipHandler`
    `static interface` | `ZIPUtil.ZipEntryHandler`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static int` | `DEFALULT_BUFFER_SIZE` Deprecated. As of 3.4 use `DEFAULT_BUFFER_SIZE`.
    `static int` | `DEFAULT_BUFFER_SIZE`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `static void` | `unzip(File zipFile, File targetFolder)`
    `static void` | `unzip(File zipFile, ZIPUtil.UnzipHandler handler)`
    `static void` | `zip(File sourceFolder, boolean excludeRoot, File zipFile)`
    `static void` | `zip(ZIPUtil.ZipEntryHandler handler, File zipFile)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### DEFALULT_BUFFER_SIZE

          @Deprecated
          public static final int DEFALULT_BUFFER_SIZE

      Deprecated. As of 3.4 use `DEFAULT_BUFFER_SIZE`.
      See Also:
        Constant Field Values

    - #### DEFAULT_BUFFER_SIZE

          public static final int DEFAULT_BUFFER_SIZE

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### zip

          public static void zip(ZIPUtil.ZipEntryHandler handler,
                 File zipFile)
                          throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### zip

          public static void zip(File sourceFolder,
                 boolean excludeRoot,
                 File zipFile)

    - #### unzip

          public static void unzip(File zipFile,
                   ZIPUtil.UnzipHandler handler)
                            throws IORuntimeException

      Throws:
        `IORuntimeException`

    - #### unzip

          public static void unzip(File zipFile,
                   File targetFolder)
                            throws IORuntimeException

      Throws:
        `IORuntimeException`

Copyright (c) 2014 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v2.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v20.html